//var server = "http://192.168.1.18:8004/FuncionesEOX5/";
var server = "http://data.psfview.com:8000/FuncionesEOX5/";
//FUNCTION GET_TAGS
function get_tags(tabla,columna,select,option_sel){			
	$.ajax({
        url: server+"Get_Tags",
        type: 'POST',
        dataType: 'json',
		data: {
			Tabla:tabla,
			Columna: columna, 
		},
		async: false,
        success: function(data) {
							data = data.toString().replace("[","");
							data = data.toString().replace("]","");
							data = data.toString().replace(/"/g, "");
												
							var datos_tags = data.split(",");
							//alert(data);
							for(i=0;i<datos_tags.length;i++)
							{
							if(datos_tags[i] == option_sel)
								$("#"+select).append('<option value ="'+datos_tags[i]+'" class="tr" key="'+datos_tags[i]+'" selected>'+datos_tags[i].replace(/_/g, " ")+'</option>');
							else
								$("#"+select).append('<option value ="'+datos_tags[i]+'" class="tr" key="'+datos_tags[i]+'">'+datos_tags[i].replace(/_/g, " ")+'</option>');
							}
        },
        error: function(data) {
            alert("Error");
        }
	});
}

//FUNCTION GET_ACCESORIOS
function get_accesorios(select,option_sel){
		$.get( server+"Get_Accesorios", 
						{ 
						
						},
						function( data ) {
							data = data.toString().replace("[","");
							data = data.toString().replace("]","");
							data = data.toString().replace(/"/g, "");	
							var datos_tags = data.split(",");
							for(i=0;i<datos_tags.length;i++)
								$("#"+select).append('<option value ="'+datos_tags[i]+'" class="tr" key="'+datos_tags[i]+'">'+datos_tags[i].replace(/_/g, " ")+'</option>');		
							
							$("#"+select).val(option_sel);
						}
					);
}

//OBTIENE COMIDAS Y RELLENA EL SELECT.
function get_comidas(){
				
	$.ajax({
        url: server+"Get_Comidas",
        type: 'GET',
        dataType: 'json',
		async: false,
        success: function(data) {
           var types_global = [];
								var food = [];
								var id_food = [];
								var type_food = [];
								
								var id,n,tipo = '';
								
								$.each(data, function() {
									id = this['Id'];
									n = this['Nombre'];
								    tipo = this['Tipo'];

									if($.inArray(tipo, types_global) == -1)
										types_global.push(tipo);
									
									id_food.push(id);food.push(n);type_food.push(tipo);
									
								});
								for(i=0;i<types_global.length;i++){
									$("#comida").append('<optgroup label="'+types_global[i]+'" class="tr" key="'+types_global[i]+'">');
									
									for(z=0;z<food.length;z++)
										if(type_food[z] == types_global[i]){
											$("#comida").append('<option value ="'+id_food[z]+'" class="tr" key="'+id_food[z]+'">'+food[z].replace(/_/g, " ")+'</option>');
											console.log("ID:"+id_food[z]+"----"+food[z].replace(/_/g, " "));
										}
								
									$("#comida").append('</optgroup>');
								}
        },
        error: function(data) {
            alert("Error");
        }
    });
	
}

//OBTIENE FUNCIONES DE COCINADO Y RELLENA EL SELECT.
function get_funciones(){
	
	$.ajax({
        url: server+"Get_FuncionesCocinado",
        type: 'GET',
		async: false,
        success: function(data) {
							data = data.toString().replace("[","");
							data = data.toString().replace("]","");
							data = data.toString().replace(/"/g, "");	
							var datos_tags = data.split(",")
							;
							for(i=0;i<datos_tags.length;i++)
								$("#funcion").append('<option value ="'+datos_tags[i]+'" class="tr" key="'+datos_tags[i]+'">'+datos_tags[i].replace(/_/g, " ")+'</option>');	
							
        },
        error: function(data) {
            alert("Error");
        }
	});
	
}

//OBTIENE COCINADO DE UN USUARIO Y RELLENA LA TABLA.
function get_cocinado(user){
	$.ajax({
        url: server+"Get_Cocinado",
        type: 'POST',
        dataType: 'json',
		data: { User:user, },
		async: false,
        success: function(data) {
							var num_veces = 15;
							$.each(data, function() {
								fe = this['Date'];
								c = this['Comida']['Nombre'];
								id_c = this['Comida']['Id'];
								p = this['Precalentamiento'];
								f = this['Funcion'];
								te = this['Temperatura'];
								ti = this['Tiempo'];
								sa = this['Satisfaccion'];
								
								var str_fe = fe.split("-");
								fe = str_fe[2]+"/"+str_fe[1]+"/"+str_fe[0];
								
								
								if(num_veces>0)
									$('#recetas_month').append('<tr class="info">'+
															'<td class="tr" key="'+id_c+'">'+c+'</td>'+
															'<td >'+fe+'</td>'+	
															'<td class="tr" key="'+p+'">'+p+'</td>'+
															'<td class="tr" key="'+f+'">'+f.replace(/_/g, " ")+'</td>'+
															'<td>'+te+'</td>'+
															'<td>'+ti+'</td>'+
															'<td>'+sa+'</td>'+
															'</tr>');
								num_veces--;								
							});
							$("#recetas_month").stacktable();
        },
        error: function(data) {
            alert("Error");
        }
    });
}

//OBTIENE COCINADO DE UN USUARIO Y RELLENA LA TABLA.
function get_limpieza(user){
	$.ajax({
        url: server+"Get_Limpieza",
        type: 'POST',
        dataType: 'json',
		data: { User:user, },
		async: false,
        success: function(data) {
							$.each(data, function() {
								int_tipo = this['Interior Tipo'];
								fe = this['Date'];
								int_prod_limp = this['Interior Producto Limpieza'];
								int_oprod_limp = this['Interior Producto Limpieza Otros'];
								int_prods_sat = this['Interior Satisfaccion'];
								int_piro_level = this['Interior Nivel Pirolisis'];
								int_residuos = this['Interior Retirados Residuos'];
								
								ext_prod_limp = this['Exterior Producto Limpieza'];
								ext_oprod_limp = this['Exterior Producto Limpieza Otros'];
								ext_prods_sat = this['Exterior Satisfaccion'];
								
								acc_prod_limp = this['Accesorios Producto Limpieza'];
								acc_oprod_limp = this['Accesorios Producto Limpieza Otros'];
								acc_prods_sat = this['Accesorios Satisfaccion'];
								
								interior = this['Interior'];
								exterior = this['Exterior'];
								accesorios = this['Accesorios'];
								
								var str_fe = fe.split("-");
								fe = str_fe[2]+"/"+str_fe[1]+"/"+str_fe[0];
								
								var i_prod = '';
								var e_prod = '';
								var a_prod = '';
								if(int_prod_limp == "OTROS")
									i_prod = int_oprod_limp;
								else
									i_prod = int_prod_limp;
								
								if(ext_prod_limp == "OTROS")
									e_prod = ext_oprod_limp;
								else
									e_prod = ext_prod_limp;
								
								if(acc_prod_limp == "OTROS")
									a_prod = acc_oprod_limp;
								else
									a_prod = acc_prod_limp;
								
							
								
								var t = '';
								if(interior){
									t = "INTERIOR";
									if(int_tipo == "ECOLITICO"){
										i_prod = "-";
									    int_residuos = "-";
									    int_piro_level = "-";
									}
									if(int_tipo == "EASY_TO_CLEAN"){
										int_residuos = "-";
									    int_piro_level = "-";
									}
									if(int_tipo == "PIROLITICO"){
										i_prod = "-";
									}
									if(int_tipo == "MANUAL"){
										int_residuos = "-";
									    int_piro_level = "-";
										int_prods_sat = "-";
									}
								}	
								else{
									t = "";
									int_tipo = "-";
									i_prod = "-";
									int_residuos = "-";
									int_piro_level = "-";
									int_prods_sat = "-";
								}
								
								if(exterior)
									t += "\nEXTERIOR";
								else{
									t += "";
									e_prod = "-";
									ext_prods_sat = "-";
								}
								if(accesorios){
									t += "\nACCESORIOS";
								}
								else{
									t += "";
									a_prod = "-";
									acc_prods_sat = "-";
								}
								
								if(int_tipo == "EASY_TO_CLEAN" || int_tipo == "MANUAL" || int_tipo == "ECOLITICO"){
									int_residuos = "-";
								    int_piro_level = "-";
								}
								$('#all_cleanliness').append('<tr class="info">'+
															'<td >'+fe+'</td>'+
								                            '<td class="tr" key="'+t+'">'+t+'</td>'+
															'<td class="tr" key="'+int_tipo+'">'+int_tipo.replace(/_/g, " ")+'</td>'+
																
															'<td class="tr" key="'+i_prod+'">'+i_prod+'</td>'+
															'<td class="tr" key="'+int_residuos+'">'+int_residuos+'</td>'+
															'<td>'+int_piro_level+'</td>'+
															'<td>'+int_prods_sat+'</td>'+
															
															'<td class="tr" key="'+e_prod+'">'+e_prod+'</td>'+
															'<td>'+ext_prods_sat+'</td>'+
															
															'<td class="tr" key="'+a_prod+'">'+a_prod+'</td>'+
															'<td>'+acc_prods_sat+'</td>'+
															'</tr>');
								
							});
							$("#all_cleanliness").stacktable();
        },
        error: function(data) {
            alert("Error");
        }
    });
}

function get_mis_incidencias(user){				
	$.ajax({
        url: server+"Get_Incidencias",
        type: 'POST',
        dataType: 'json',
		data: { User:user, },
		async: false,
        success: function(data) {
							$.each(data, function() {
									id = this['FuncionIncidencias']['Id'];
									n = this['FuncionIncidencias']['Nombre'];
								    c = this['Comentario'];
									i = this['Img'];
									
									i="";
										
									$('#my_incidents').append('<tr class="info"><td class="tr" key="'+n+'">'+n.replace(/_/g, " ")+'</td><td >#'+id+'</td>	'+
																'<td >'+c+'</td>'+	
																'<td><img src="'+i+'"></td>'+
																'</tr>');	
								
							});
							$("#my_incidents").stacktable();
        },
        error: function(data) {
            alert("Error");
        }
	});
}



//OBTIENE FUNCIONES INCIDENCIAS Y RELLENA EL SELECT.
function get_funciones_incidencias(){			
	$.ajax({
        url: server+"Get_FuncionesIncidencias",
        type: 'GET',
        dataType: 'json',
		data: { },
		async: false,
        success: function(data) {
			$.each(data, function() {
				id = this['Id'];
				n = this['Nombre'];

				$("#funcion").append('<option value ="'+id+'" class="tr" key="'+n+'">'+n.replace(/_/g, " ")+'</option>');	
								
			});
        },
        error: function(data) {
            alert("Error");
        }
	});
}


//FUNCTION LOGOUT			
function salir(){
	$(".logout").click(function() {
					$.get( server+"Logout", function( data ) {
						//alert("Status: "+data);
						$.removeCookie('user');
						$.removeCookie('user_logged');
						var url = "index.html";
						$( location ).attr("href", url);
					});
				});
}